import { Message, Stan } from "node-nats-streaming";
import { Subjects } from "./subjects";
interface Event {
    subject: Subjects;
    data: any;
}
export declare abstract class Listener<T extends Event> {
    private client;
    abstract subject: T["subject"];
    abstract queueGroupName: string;
    private ackWait;
    constructor(client: Stan);
    subscriptionOptions(): import("node-nats-streaming").SubscriptionOptions;
    listen(): void;
    parseMessage(msg: Message): any;
    abstract onMessage(data: T["data"], msg: Message): void;
}
export {};
